Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.transform
Class ReadOnlyComponentFieldConduit

    java.lang.Object
      org.apache.tapestry5.internal.transform.ReadOnlyComponentFieldConduit

All Implemented Interfaces:
  FieldConduit<java.lang.Object>

    public abstract class ReadOnlyComponentFieldConduit

extends java.lang.Object
implements FieldConduit<java.lang.Object>

An implementation of `FieldConduit` for a read-only component field. Subclasses provide an implementation of the `FieldConduit.get(Object, org.apache.tapestry5.plastic.InstanceContext)` method.

Since:
  5.2.0

Constructor Summary
`ReadOnlyComponentFieldConduit(ComponentResources resources, java.lang.String fieldName)`
`ReadOnlyComponentFieldConduit(java.lang.String qualifiedFieldName)`
`ReadOnlyComponentFieldConduit(java.lang.String className, java.lang.String fieldName)`

Method Summary
`void` | `set(java.lang.Object instance, InstanceContext context, java.lang.Object newValue)` Invoked when the field's value is updated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tapestry5.plastic.FieldConduit
`get`

Constructor Detail

### ReadOnlyComponentFieldConduit

    public ReadOnlyComponentFieldConduit(java.lang.String qualifiedFieldName)

### ReadOnlyComponentFieldConduit

    public ReadOnlyComponentFieldConduit(java.lang.String className,
                                         java.lang.String fieldName)

### ReadOnlyComponentFieldConduit

    public ReadOnlyComponentFieldConduit(ComponentResources resources,
                                         java.lang.String fieldName)

Method Detail

### set

    public void set(java.lang.Object instance,
                    InstanceContext context,
                    java.lang.Object newValue)

  Description copied from interface: `FieldConduit`
  Invoked when the field's value is updated.

  Specified by:
    `set` in interface `FieldConduit<java.lang.Object>`
  Parameters:
    `instance` - the instance containing the field
    `context` - (see `ClassInstantiator.with(Class, Object)`)
    `newValue` - value assigned to the field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.